robotpkg/wip/ddp-actuator-solver bulk build results

Log for ddp-actuator-solver-1.0.0 on Fedora-28-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for ddp-actuator-solver-1.0.0 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for ddp-actuator-solver-1.0.0 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found ===> Done bootstrap-depends for ddp-actuator-solver-1.0.0 ===> Installing full dependencies for ddp-actuator-solver-1.0.0 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/octomap-1.9.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/qpoases-3.2.1~doc.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for ddp-actuator-solver-1.0.0 => Building with no option. ===> Checking alternatives for ddp-actuator-solver-1.0.0 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 ===> Checking dependencies for ddp-actuator-solver-1.0.0 => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-unit_test_framework>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.6: cmake-3.14.4 found => Required system package doxygen>=1.5: doxygen-1.8.14 found => Required system package eigen3>=3.0.0: eigen3-3.3.7 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required robotpkg package octomap>=1.6.0: octomap-1.9.0 found => Required robotpkg package qpoases>=3.2: qpoases-3.2.1~doc found ===> Done depends for ddp-actuator-solver-1.0.0 ===> Extracting for ddp-actuator-solver-1.0.0 => SHA1 checksums OK => RMD160 checksums OK ===> Patching for ddp-actuator-solver-1.0.0 => Applying robotpkg patches for ddp-actuator-solver-1.0.0 ===> Configuring for ddp-actuator-solver-1.0.0 ===> Building for ddp-actuator-solver-1.0.0 /local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/examples/temperature_control/mainTemp.cpp: In function 'int main()': /local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/examples/temperature_control/mainTemp.cpp:33:18: warning: unused variable 'i' [-Wunused-variable] unsigned int i; ^ /local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/examples/linear/mainLinear.cpp: In function 'int main()': /local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/examples/linear/mainLinear.cpp:28:16: warning: unused variable 'i' [-Wunused-variable] unsigned int i; ^ /local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/examples/linear/mainLinear.cpp:38:16: warning: unused variable 'noisyModel' [-Wunused-variable] ModelLinear* noisyModel = NULL; ^~~~~~~~~~ ===> Installing for ddp-actuator-solver-1.0.0 warning: tag INPUT: input source `/local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/doc/additionalDoc' does not exist warning: tag INPUT: input source `/local/robotpkg/var/tmp/robotpkg/wip/ddp-actuator-solver/work/ddp-actuator-solver-1.0.0/doc/additionalDoc' does not exist => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/ddp-actuator-solver.pc' => Registering installation for ddp-actuator-solver-1.0.0 robotpkg_admin: ddp-actuator-solver-1.0.0: File `/opt/openrobots/lib/pkgconfig/ddp-actuator-solver.pc' is in +CONTENTS but not on filesystem! Added octomap-1.9.0 to the requirements of ddp-actuator-solver-1.0.0 Added qpoases-3.2.1~doc to the requirements of ddp-actuator-solver-1.0.0 ===> Done install for ddp-actuator-solver-1.0.0 ===> Building binary package for ddp-actuator-solver-1.0.0 robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/ddp-actuator-solver.pc' Creating package /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-28-x86_64/All/ddp-actuator-solver-1.0.0 robotpkg_create: lstat failed for file lib/pkgconfig/ddp-actuator-solver.pc: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking ddp-actuator-solver-1.0.0 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for ddp-actuator-solver Removing dependency octomap-1.9.0 Removing dependency qpoases-3.2.1~doc Removing dependency robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/ddp-actuator-solver.pc Removed ddp-actuator-solver-1.0.0 Removed digest-20080510 Removed tnftp-20130505~ssl